%global srcname fedmsg-rabbitmq-serializer
%global sum fedmsg consumer to serialize bus messages into a rabbitmq worker queue

Name:           python-%{srcname}
Version:        0.0.5
Release:        8%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            https://pagure.io/%{srcname}
Source0:        https://releases.pagure.org/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
%if 0%{?epel}
BuildRequires:  python2-setuptools
%endif

%description
%{sum}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-moksha-hub
Requires:       python2-pika
Requires:       python2-fedmsg-consumers
Requires:       python2-fedmsg-meta-fedora-infrastructure

%description -n python2-%{srcname}
%{sum}

# No python3 support yet upstream, leaving this here for when it's available
# NOTE: remove ' chars off macros, this was to make rpmlint happy
#
#%'package -n python3-%'{srcname}
#Summary:        %'{sum}
#%'{?python_provide:%'python_provide python3-%'{srcname}}
#
#%'description -n python3-%'{srcname}
#An python module which provides a convenient example.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

# No python3 support yet upstream, leaving this here for when it's available
# NOTE: remove '' chars off macros, this was to make rpmlint happy
#
#%'py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install

# No python3 support yet upstream, leaving this here for when it's available
# NOTE: remove '' chars off macros, this was to make rpmlint happy
#
#%'py3_install

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license COPYING
%doc README.rst
%{python2_sitelib}/*


# No python3 support yet upstream, leaving this here for when it's available
# NOTE: remove '' chars off macros, this was to make rpmlint happy
#
#%'files -n python3-%'{srcname}
#%'license COPYING
#%'doc README.rst
#%'{python3_sitelib}/*
#%'{_bindir}/sample-exec

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.0.5-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 24 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.5-4
- Move epel7 setuptools BuildRequire into a conditional

* Wed May 24 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.5-3
- Add python2-setuptools as explicit BuildRequire for epel7

* Fri May 19 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.5-2
- Move python2 specific Requires under the python2 subpackage

* Mon May 15 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.5-1
- Update to latest upstream
- Fix based on package review feedback

* Tue Apr 25 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.2-1
- First packaging for Fedora